Bug 1478998 - sosreport command in rhel7/rhel-tools container hangs and locks up system
sosreport command in rhel7/rhel-tools container hangs and locks up system
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: support-tools-container (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jake Hunsaker
atomic-bugs@redhat.com
Maxim Svistunov
: Extras
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 12:46 EDT by Stef Walter
Modified: 2018-04-28 01:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2017-08-07 12:46:31 EDT
Description of problem:

The sosreport command in rhel7/rhel-tools container hangs and locks up other commands on the Atomic Host system.

Version-Release number of selected component (if applicable):


● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                Version: 7.4.0 (2017-07-28 00:26:01)
                 Commit: 846fb0e18e65bd9a62fc9d952627413c6467c33c2d726449a1d7ad7690bbb93a
           GPGSignature: 1 signature
                         Signature made Fri 28 Jul 2017 12:30:19 AM UTC using RSA key ID 199E2F91FD431D51
                         Good signature from "Red Hat, Inc. <security@redhat.com>"


Linux localhost 3.10.0-693.el7.x86_64 #1 SMP Thu Jul 6 19:56:57 EDT 2017 x86_64 x86_64 x86_64 GNU/Linux

REPOSITORY                                    TAG                 IMAGE ID            CREATED             SIZE
registry.access.redhat.com/rhel7/rhel-tools   latest              ca17f08b0ec5        11 days ago         1.386 GB


How reproducible:

Every time

Steps to Reproduce:
$ curl -Lo atomic.qcow2 https://cdn.stage.redhat.com/content/dist/rhel/atomic/7/7Server/x86_64/images/rhel-atomic-cloud-7.4.0-14.x86_64.qcow2
$ curl -Lo cloud-init.iso https://rawgit.com/stefwalter/oci-kvm-hook/master/test/cloud-init.iso
$ qemu-kvm -boot c -net nic -net user -m 1024 -nographic -cdrom cloud-init.iso atomic.qcow2
...
localhost login: root
password: foobar
# atomic run rhel7/rhel-tools -- sosreport --sysroot /host --tmp-dir /host/var/tmp --batch
...
  Running 20/82: filesys...            <<< hangs forever here

Actual results:

The sosreport command hangs. In addition other commands like 'df' hang forever, until you kill the sosreport atomic/sosreport command.

Expected results:

The sosreport command finishes and does not interfere with normal system functionality.
Comment 2 Stef Walter 2017-08-07 12:47:02 EDT
Cockpit's Continuous Integration found this bug.
Comment 3 Stef Walter 2017-08-08 00:23:42 EDT
Cockpit CI will track cases of this bug here: https://github.com/cockpit-project/cockpit/issues/7462
Comment 4 Stef Walter 2017-08-08 00:24:02 EDT
Cockpit CI will track cases of this bug here: https://github.com/cockpit-project/cockpit/issues/7462
Comment 5 Frantisek Kluknavsky 2018-04-19 10:42:11 EDT
sosreport moved to support-tools-docker.
Comment 6 Jake Hunsaker 2018-04-19 12:07:37 EDT
I don't see this behavior on the latest release of the support-tools container (7.5-8):

------8<-----------
# atomic host status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.4.5 (2018-03-01 19:18:33)
                    Commit: 6cb4d618030f69aa4a5732aa0795cb7fe2c167725273cffa11d0357d80e5eef0
             PendingCommit: 5df677dcfef08a87dd0ace55790e184a35716cf11260239216bfeba2eb7c60b0
            PendingVersion: 7.5.0 (2018-04-05 10:29:00)




-bash-4.2# atomic run brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/rhel7/support-tools:7.5-8 -- sosreport --batch
docker run -it --name support-tools --privileged --ipc=host --net=host --pid=host -e HOST=/host -e NAME=support-tools -e IMAGE=brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/rhel7/support-tools:7.5-8 -v /run:/run -v /var/log:/var/log -v /etc/machine-id:/etc/machine-id -v /etc/localtime:/etc/localtime -v /:/host brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/rhel7/support-tools:7.5-8 sosreport --batch

This container uses privileged security switches:

INFO: --ipc=host 
      Processes in this container can see and possibly interact with all semaphores and shared memory segments on the host as well as disables SELinux within the container.

INFO: --net=host 
      Processes in this container can listen to ports (and possibly rawip traffic) on the host's network.

INFO: --pid=host 
      Processes in this container can see and interact with all processes on the host and disables SELinux within the container.

INFO: --privileged 
      This container runs without separation and should be considered the same as root on your system.

For more information on these switches and their security implications, consult the manpage for 'docker run'.


sosreport (version 3.5)

[...]
  Running 75/78: x11...        
  Running 76/78: xen...        
  Running 77/78: xfs...        
  Running 78/78: yum...        

Creating compressed archive...
[archive:TarFileArchive] "gzip" command not found.

Your sosreport has been generated and saved in:
  /host/var/tmp/sosreport-kub2.rhev.gsslab.rdu.redhat.com-20180419115738.tar.xz

The checksum is: 184d0f23db6e5eedbb41e9acc4b1e996

Please send this file to your support representative.
------8<-----------



I'm also able to run 'df' commands while sosreport (and the filesys plugin) are running as well.

Note You need to log in before you can comment on or make changes to this bug.